disableSchedule
POST
/api/v1/schedules/{id}/disable
const url = 'https://example.com/api/v1/schedules/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/disable';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/schedules/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/disableDisable schedule. Requires an authenticated dashboard user.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “ Responses ”Schedule disabled
Media typeapplication/json
object
data
required
object
id
required
string format: uuid
name
required
string
description
required
string
playlistId
string format: uuid
playlistName
required
string
layoutId
string format: uuid
layoutName
string
presentationType
required
string
type
required
string
timezone
required
string
priority
required
integer
specificity
required
integer
enabled
required
boolean
startDate
string format: date
endDate
string format: date
oneTimeStart
string format: date-time
oneTimeEnd
string format: date-time
dailyStart
string
dailyEnd
string
daysOfWeek
required
Array<integer>
displayAction
A bounded Display Control action. A schedule may contain one action instead of a playlist or Layout. The server validates that only the field belonging to the selected type is present.
object
type
required
string
input
string
volume
integer
brightness
integer
targets
required
Array<object>
object
type
required
string
id
required
string format: uuid
name
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "data": { "presentationType": "playlist", "type": "one_time", "displayAction": { "type": "display_power_on" }, "targets": [ { "type": "screen" } ] }}